
Member Nodes - MNDeployment #8035

IEDA_EarthChem Library (Interdisciplinary Earth Data Alliance)

2017-03-03 17:20 - Laura Moyers

Status: Operational Start date: 2018-01-24

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Deploy by end of Y4Q2   

Latitude: 41.01 MN_Date_Online: 2019-03-05

Longitude: -73.91 Name: IEDA: EarthChem Library

MN Description: The EarthChem Library (ECL) is a

US-NSF funded domain data repository

that provides preservation, publication,

and access services for datasets and

other digital objects from geochemical,

geochronological, petrological,

mineralogical, and other related

research.

Logo URL: https://github.com/DataONEorg/member-

node-info/blob/master/production/graphic

s/originals/IEDA_EARTHCHEM.jpg

Base URL: http://get.iedadata.org/metadata/iso/ecl/ Date Upcoming: 2018-07-11

NodeIdentifier: urn:node:IEDA_EARTHCHEM Date Deprecated:  

MN Tier: Tier 1 Information URL: http://www.earthchem.org/library

Software stack: Slender Node (GMN) Version:  

Description

We're in discussions with Kerstin Lehnert and others at IEDA about the possibilities for collaboration with DataONE.

Initial meeting 3/3/17 with follow-up scheduled for 15 March at 9aMT, https://global.gotomeeting.com/join/845292789

IEDA's website:  http://www.iedadata.org/

Data collections:  http://www.iedadata.org/allcollections

Kerstin's particular areas of interest to explore in these initial meetings, from email 12 Feb:

- What data in the IEDA data holdings is of interest to DataONE? What is the best way IEDA could connect its data holdings and

metadata catalog to the DataONE federation, specifically considering the IEDA operates as an alliance of disciplinary data systems?

Should IEDA connect its overarching metadata catalog or rather the disciplinary systems such as the Marine Geoscience Data

System, EarthChem, Geochron, and the USAP-DC? What is most useful for the science community?

How can we align or integrate developments of Data Management Plan tools? As I told you, IEDA developed a structured DMP

Tool back in 2011 that is now funded by NSF-ACI to broaden its applicability across the NSF directorates.

Is DataONE interested in participating in our efforts to provide tools for the registration and management of physical samples in

the environmental sciences? (This is particularly urgent as I am working on an EarthCube proposal that builds on the outcomes

of the iSamples RCN).

Subtasks:

Story # 8250: Planning (IEDA) Closed

  Task # 8251: Training & education  Closed

  Task # 8252: Technical Requirements & Design Planning (IEDA) Closed

  Task # 8253: MN Communications Closed

Story # 8488: IEDA: Testing & Development Closed

  Task # 8489: IEDA: Metadata Validation Closed

  Task # 8490: IEDA: Develop or Implement MN Software Closed

  Task # 8491: IEDA: Test Registration Closed

  Task # 8492: IEDA: Display as Upcoming Closed
  Task # 8618: Verify content mutability pattern Closed

  Task # 8626: Some datasets are not valid scema.org JSON-LD Closed

Story # 8660: (IEDA) Move to production Closed

  Task # 8661: (IEDA) Implement in Production Environment Closed

  Task # 8662: (IEDA) Register in Production Closed

  Task # 8663: (IEDA) Mutual acceptance Closed

  Task # 8664: (IEDA) Formal announcement Closed

Related issues:

Related to Member Nodes - Task #8047: Investigate how to maintain identity/"b... Closed 2017-03-15

Related to Python GMN - Story #8371: Develop Ability to Host Multiple Nodes f... Closed 2018-02-19

Copied to Member Nodes - MNDeployment #8704: IEDA_Marine-Geo Digital Library ... Operational

Copied to Member Nodes - MNDeployment #8721: IEDA_US Antarctic Program Data C... Operational 2018-09-27

History

#1 - 2017-03-15 16:25 - Laura Moyers

- Longitude set to -73.91

- NodeIdentifier set to urn:node:IEDA

- Software stack set to Slender Node (GMN)

- Status changed from New to Planning

- Target version set to Deploy by end of Y3Q4

- % Done changed from 0 to 10

- Latitude set to 41.01

Meeting 15 March 2017 (https://epad.dataone.org/pad/p/IEDA_and_DataONE).

It was determined that we wish to proceed with a Slender Node / GMN implementation where the IEDA integrated metadata catalog is the source of

content.  

It is very important that the identification/branding of IEDA's member repositories be maintained and communicated.  DataONE at present has a

strong focus on the MN level, so we need to investigate options for identifying and displaying the name and/or logo of the member repository which is

the source of a given data package.  

#2 - 2017-03-15 18:02 - Laura Moyers

- Related to Task #8047: Investigate how to maintain identity/"branding" of a sub-repository's content on a DataONE MN added

#3 - 2017-03-16 00:20 - Laura Moyers

- MN Tier set to Tier 1

#4 - 2017-04-11 16:33 - Laura Moyers

- Base URL set to http://www.iedadata.org/

#5 - 2017-05-03 20:07 - Laura Moyers

Meeting 3 May 2017, see epad https://epad.dataone.org/pad/p/IEDA_and_DataONE. 

Branding question: we will investigate the options available for including the origin/source repository's information in the science metadata of a given

object, then modifying the search UI such that this value is displayed in search results.  Laura to coordinate further evaluation (see related issue 

https://redmine.dataone.org/issues/8047).

Next steps:

Set up a GMN at IEDA

Develop an adapter to collect CSW endpoints
May need to consider configuration of the basic IEDA system  ??  Maybe not.

Consider SID/PID relationship to IEDA identifiers

MNDD - see legal rights for redistribution of the individual data partners' data

Kerstin/Steve to communicate schedule to DataONE

Next meeting TBD

#8 - 2017-08-30 20:30 - Laura Moyers

- Target version changed from Deploy by end of Y3Q4 to Deploy by end of Y4Q2

#9 - 2018-01-11 15:27 - Amy Forrester

epad Notes Consolidation

12/18/2017 - Mark will meet with Steve Richard Tuesday 19 December {just within DataONE - Steve is leaving IEDA but don't know the date (RK)}

#10 - 2018-01-22 00:58 - Monica Ihli

Steve has GMN software installed but is working through some certificate issues that are a barrier to getting apache to start. He is trying to use a

self-signed SSL certificate but has no FQDN which may be the source of the issue. I've provided one for him to test with.

#11 - 2018-01-22 14:45 - Mark Servilla

For background sake, IEDA (Steve) is testing deployment with GMN v2.4.1 on CentOS in AWS EC2.

#12 - 2018-01-23 14:22 - Amy Forrester

Call scheduled for 1/24 [Monica, Amy, Steve]

{Steve Richard} Asking about using GMN as a proxy to back-end repositories--want to expose our metadata catalog with remote URL’s for the data

access, i.e. the GMN is just a ‘wrapper’ on our existing catalog http://app.iedata.org/catalog. This is an (ESRI) geoportal, implements a CSW

interface,  but unfortunately the v2.5 I’m using only seems to expose DublinCore metadata. Our content is based on DataCiteXML (transformed to

ISO19139 when harvested to the catalog).  I guess I’m not quite clear on what the GMN actual does—does it maintain a metadata register and search

capability, or is it just a metadata register that gets harvested to a coordinating node where the search is implemented. Does the GMN also host a

repository? We don’t need that, we already have repositories, just want the metadata to show up in DataOne search.   

{Mark reply} need to provide some information to GMN: specifically, system metadata, which describes physical attributes of your metadata.

Notes continue in Task #8251

#13 - 2018-02-19 16:17 - Monica Ihli

- Related to Story #8371: Develop Ability to Host Multiple Nodes from a Single Installation of GMN Web App added

#14 - 2018-03-02 04:04 - Amy Forrester

- Base URL deleted (http://www.iedadata.org/)

- Information URL set to http://www.iedadata.org/

#15 - 2018-03-06 09:17 - Monica Ihli
- Assignee changed from Mark Servilla to Monica Ihli

#16 - 2018-04-06 15:52 - Amy Forrester

- File MN description-IEDA.pdf added

#17 - 2018-04-10 18:21 - Amy Forrester

- NodeIdentifier changed from urn:node:IEDA to urn:node:IEDA_EARTHCHEM

- MN Description set to IEDA is an alliance of science community focused repository systems.

#18 - 2018-07-02 20:14 - Amy Forrester

- Logo URL set to https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/IEDA.png

- File IEDA.png added

#19 - 2018-07-03 15:41 - Amy Forrester

- Status changed from Planning to Testing

- % Done changed from 10 to 50

#20 - 2018-07-10 18:17 - Amy Forrester

- File deleted (IEDA.png)

#21 - 2018-07-10 18:19 - Amy Forrester

- File IEDA.png added

#22 - 2018-07-26 17:31 - Amy Forrester

- Date Upcoming set to 2018-07-11

#23 - 2018-08-03 14:31 - Amy Forrester

Neville Shane (nshane@ldeo.columbia.edu) replacing Steve as Technical lead on MN project

-added to MNForum group 8/3

IEDA tech team also includes: Megan Carter (mcarter@ldeo.columbia.edu); Viki(ferrini@ldeo.columbia.edu)

#24 - 2018-09-24 15:15 - Amy Forrester

- MN Description changed from IEDA is an alliance of science community focused repository systems. to The EarthChem Library (ECL) is a US-NSF

funded domain data repository that provides preservation, publication, and access services for datasets and other digital objects from geochemical,

geochronological, petrological, mineralogical, and other related research.

- Name set to IEDA: EarthChem Library

Information updated by Suzanne M. Carbotte carbotte@ldeo.columbia.edu 9/21

#25 - 2018-09-24 15:18 - Amy Forrester

- Subject changed from IEDA - Interdisciplinary Earth Data Alliance to IEDA_EarthChem Library (Interdisciplinary Earth Data Alliance)

#26 - 2018-09-24 15:32 - Amy Forrester

- Assignee changed from Monica Ihli to Dave Vieglais

#27 - 2018-09-24 15:33 - Amy Forrester

- File IEDA_EARTHCHEM.jpg added
#28 - 2018-09-24 15:38 - Amy Forrester

- Logo URL changed from https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/IEDA.png to

https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/IEDA_EARTHCHEM.jpg

#29 - 2018-09-25 19:38 - Amy Forrester

- Copied to MNDeployment #8704: IEDA_Marine-Geo Digital Library (Interdisciplinary Earth Data Alliance) added

#30 - 2018-09-25 19:40 - Amy Forrester

- Base URL set to http://get.iedadata.org/metadata/iso/ecl/

- Information URL changed from http://www.iedadata.org/ to http://www.earthchem.org/library

#31 - 2018-09-27 18:28 - Amy Forrester

- Copied to MNDeployment #8721: IEDA_US Antarctic Program Data Center (Interdisciplinary Earth Data Alliance) added

#32 - 2018-10-23 17:55 - Amy Forrester

upgraded GMN 3.2

#33 - 2019-04-29 18:36 - Amy Forrester

- Status changed from Testing to Operational

- MN_Date_Online set to 2019-03-05

Files

MN description-IEDA.pdf 306 KB 2018-04-06 Amy Forrester

IEDA.png 4.15 KB 2018-07-10 Amy Forrester

IEDA_EARTHCHEM.jpg 50.1 KB 2018-09-24 Amy Forrester
